#include <iostream>
#include <algorithm>

int main() {
    int A, B, C, R, S, T;
    std::cin >> A >> B >> C >> R >> S >> T;

    int box[3] = {A, B, C};
    int package[3] = {R, S, T};

    std::sort(box, box + 3);
    std::sort(package, package + 3);

    if (package[0] <= box[0] && package[1] <= box[1] && package[2] <= box[2]) {
        std::cout << "Yes" << std::endl;
    } else {
        std::cout << "No" << std::endl;
    }

    return 0;
}

